Bug 895168 - Port cinnamon's use of PIL to support Pillow for F19
Port cinnamon's use of PIL to support Pillow for F19
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PILLOW
  Show dependency treegraph
 
Reported: 2013-01-14 13:01 EST by Toshio Ernie Kuratomi
Modified: 2013-02-04 20:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 20:16:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use the form of import of PIL that is pillow compatible (1.18 KB, patch)
2013-01-14 13:01 EST, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2013-01-14 13:01:03 EST
Created attachment 678363 [details]
Patch to use the form of import of PIL that is pillow compatible

Fedora 19 is going to stop shipping python-imaging (PIL) and start shipping python-pillow instead.  Rationale can be found on the feature page: https://fedoraproject.org/wiki/Features/Pillow .  pillow should be compatible with PIL at the code level but the import statement changes slightly.

PIL supports both of these:

import Image

from PIL import Image

Pillow only supports the latter form.

I grepped through the cinnamon source and found some occurrences of "import Image".  I'll attach a patch that updates these to the new form of import.
Comment 1 Toshio Ernie Kuratomi 2013-01-29 12:13:35 EST
If I don't hear anything back from you, I'll go ahead and use provenpackager powers to apply this patch to the RawHide package next week.  I'll leave sending the patch to upstream up to you, though.
Comment 2 leigh scott 2013-01-29 12:30:22 EST
(In reply to comment #1)

> If I don't hear anything back from you, I'll go ahead and use provenpackager
> powers to apply this patch to the RawHide package next week.

I was waiting for python-pillow to be packaged but I note you added a virtual provides to python-imaging the other day.  

> I'll leave
> sending the patch to upstream up to you, though.

Done

https://github.com/linuxmint/Cinnamon/pull/1612
Comment 3 Toshio Ernie Kuratomi 2013-02-04 20:16:31 EST
Cool.  New Cinnamon package built for rawhide.

Note You need to log in before you can comment on or make changes to this bug.